/**
  ********************************************************************************
  * @file    function.h
  * @brief   This file contains functions prototypes for the functions.c file.
  * @author  STMicroelectronics - MCD Application Team
  * @version V1.2.0
  * @date    04-NOV-2010
  ******************************************************************************
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2010 STMicroelectronics</center></h2>
  * @image html logo.bmp
  ******************************************************************************
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __FUNCTIONS_H
#define __FUNCTIONS_H

// Includes ------------------------------------------------------------------
#include "stm8l15x.h"
#include "mono_lcd.h"
#include "menu.h"

// Exported types ------------------------------------------------------------
// Exported macro -------------------------------------------------------------
// Exported define -----------------------------------------------------------

// Led position definition
// LED_Green 
#define LED2_PIN_MASK  ((u8)0x40)
#define LED2_PORT_ODR  GPIOE->ODR
#define LED2_PORT_DDR  GPIOE->DDR
#define LED2_PORT_CR1  GPIOE->CR1

// Help Menu Status - bit definition 
#define HELP_DISPLAY_STATUS_ENABLE                7


// Exported variables --------------------------------------------------------
extern __IO u32 GTimeStamp;
extern u16 TimeOutStartTime;
extern u8 EEPBuffer[];
extern u8 GUseEeprom;

// Exported functions --------------------------------------------------------
void InitRAM1(void);
void Init_Application(void);
void Init_SPISimplex(void);
void Init_TIM1(void);
void Init_TIM3(void);
void Init_TIM4(void);
void Init_GPIO(void);
void Init_Clock(void);
void Init_LowPower(void);
u32 GetTimeStamp(void);
void GetTimeOutStartTime(void);
bool TimeOut(u16 Delay);
void WaitDelay(u16 Delay);
void PlayPWM(u16 freq);
void StopPWM(void);

#endif /* __FUNCTIONS_H */

 // (C) COPYRIGHT 2010 STMicroelectronics *****END OF FILE***
